Summary:    An optimized implementation of the JPEG-LS standard
Name:       CharLS
Version:    2.0.0
Release:    2%{?dist}
License:    BSD
URL:        https://github.com/team-charls/charls
Source0:    https://github.com/team-charls/charls/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc gcc-c++ cmake >= 2.6.0

%description
CharLS is a C++ implementation of the JPEG-LS standard for lossless
and near-lossless image compression and decompression. JPEG-LS is a
low-complexity image compression standard that matches JPEG 2000
compression ratios.

%package devel
Summary:    Libraries and headers for CharLS
Requires:    %{name} = %{version}-%{release}

%description devel
CharLS Library Header Files and Link Libraries.


%prep
%autosetup -n charls-%{version}
%{__rm} CharLS*.sln* -v

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=ON\
    -DCMAKE_BUILD_TYPE:STRING="Release"\
    -DCMAKE_VERBOSE_MAKEFILE=ON\
    -DBUILD_TESTING=ON

%cmake_build


%install
%cmake_install


%check
pushd %{__cmake_builddir}
echo "a" | ./charlstest
popd


%files
%license License.txt
%{_libdir}/lib%{name}.so.2
%{_libdir}/lib%{name}.so.2.0


%files devel
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/lib%{name}.so

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 cunshunxia <cunshunxia@tencent.com> - 2.0.0-1
- initial build
